import { TranslateService } from "@ngx-translate/core";
import { FormField } from "@seniorsistemas/angular-components";
import { Observable } from "rxjs";
import { WageTypeService } from "../../core/entities/wage-type/wage-type.service";
import { EntityLookupConfigService } from "../../shared/services/entity-lookup-config.service";
export declare class WageTypeLookupService {
    private translate;
    private configService;
    private wageTypeService;
    private wageTypeLookupDisplayFields;
    wageTypeLookupSeparator: string;
    private wageTypeSearchSubject;
    private wageTypeLookupSubject;
    private ngUnsubscribe;
    constructor(translate: TranslateService, configService: EntityLookupConfigService, wageTypeService: WageTypeService);
    setDisplayFields(fields: string[]): void;
    getFormField(): FormField;
    getWageTypeSearchFields(displayFields?: string[]): FormField[];
    private getWageTypeLookupFields;
    onWageTypeLookupRequest(event: any): void;
    onWageTypeLookupRequestObservable(value: string): Observable<{
        contents: any[];
        totalElements: number;
    }>;
    onWageTypeSearchRequest(event: any): void;
    onWageTypeSearchRequestObservable(event: any): Observable<any>;
    private getLabelForMapping;
    private mapToComponent;
}
